# Add an entry to the F5/CAM menu that will create, and if possible export,
# a printable text copy of the cnc10 tool library.

# In cnc10 versions through 2.36, there is a bug in the F5/CAM
# menu that prevents the first custom addition from working if the
# F2/DXF Engraving option is present.  That option will be present
# on mill controls that have the DXF Import option, or which still
# have an active demo code.  The bug is fixed in version 2.60.

# Work around that bug by creating a dummy entry, with a note
# that it can be deleted after the demo mode expires (as long
# as you don't have the DXF import option enabled, anyway).

 echo "Skip:dummy entry, deleteafterdemo" >> cnc10cams.txt
 echo " echo deleteafterdemo" >> cnc10cams.txt

# Now install the option we want.  Everything is done through
# the shell script in the CAM menu entry, so there are no
# other files to install.

# Heading

echo "ToolList:Export Printable Tool Library"  >> cnc10cams.txt

# Command to generate tool list
# cnc10conv prints 4 lines of header information,
# then 100 tools for lathes, or 200 tools for mills.
# It also prints the ATC bin list, which we will cut off.

if [ -d /cncroot/c/cnc10t/. ] ; then
  echo " cnc10conv -dt | sed 104q > cnc10tools.txt" >> cnc10cams.txt
else  echo " cnc10conv -dt | sed 204q > cnc10tools.txt" >> cnc10cams.txt
fi

# Convert the resulting file from Linux format to DOS/Windows format.
# If there is an A: drive present, and mounted, then copy the file there

cat >> cnc10cams.txt << "EOD"
 unix2dos cnc10tools.txt
 if [ -d /cncroot/a/. ]
 then
  cp cnc10tools.txt /cncroot/a/
 fi
EOD

exit 1
